import {Engine, Scene, WebGPUEngine} from '@babylonjs/core';

export interface PendulumSimParams {
  time: number;
  dt: number;
  g: number;
  m1: number;
  m2: number;
  l1: number;
  l2: number;
  damping: number;
  trailDecay: number;
  impulseM1: number;
  impulseM2: number;
}

export interface PendulumSimulationStrategy {
  init(scene: Scene, engine: WebGPUEngine | Engine): void;
  updateParams(params: PendulumSimParams): void;
  dispose(): void;
}
